%define anolis_release 5

Name:           graphite2
Version:        1.3.14
Release:        %{anolis_release}%{?dist}
Summary:        Font rendering capabilities for complex non-Roman writing systems
License:        (LGPLv2+ or GPLv2+ or MPLv1.1) and (Netscape or GPLv2+ or LGPLv2+)

URL:            https://sourceforge.net/projects/silgraphite/
Source0:        https://downloads.sourceforge.net/project/silgraphite/graphite2/%{name}-%{version}.tgz

Patch0001:      0001-change-lib-files-installation-path-to-system-default-lib-path.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  freetype-devel

# needed for running the test suite
BuildRequires:  python3-fonttools

%description
Graphite2 is a project within SIL’s Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create “smart fonts” capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Files for developing with graphite2
Requires:       %{name} = %{version}-%{release}

%description devel
Includes and definitions for developing with graphite2.


%prep
%autosetup -p1


%build
%cmake -DGRAPHITE2_COMPARE_RENDERER=OFF
%cmake_build


%install
%cmake_install

%generate_compatibility_deps

%check
%ctest


%files
%dir %{abidir}
%license LICENSE COPYING
%{_bindir}/gr2fonttest
%{_libdir}/libgraphite2.so.3*
%{abidir}/libgraphite2.dump

%files doc
%doc ChangeLog README.md

%files devel
%{_includedir}/%{name}/

%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/graphite2-release.cmake
%{_libdir}/%{name}/graphite2.cmake
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc

%changelog
* Thu Mar 23 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.3.14-5
- Bump version to rebuild

* Tue Mar 07 2023 happy_orange <songnannan@linux.alibaba.com> - 1.3.14-4
- delete the unused scripts

* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.14-3
- optimise spec file

* Sat Oct 8 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.14-2
- add doc package

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.3.14-1
- Init from upstream version 1.3.14

